# 数据库规范

所有的表都必须有一下字段
CREATE TABLE `t_xxx` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT,
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8;

表字段没特别原因下，必须有默认值
表名称t_开始
version表因为历史原因不以t_开头
每个库都必须有一个version表

# 脚本说明

生成协议、配置表想关代码
cd server/imserver
node ../../tools/pbtools/app.js

# go代码风格

main包里所有的函数、字段都小写开头
