package main

const (
	PLAYER_MGR_HANDLER_ID   = 1
	PLAYER_HANDLER_ID       = 2
	WSP_LISTENER_HANDLER_ID = 3
)

const (
	MAX_PACKET_LEN = 1024 * 64
)

const (
	GAME_DB   = "gamedb"
	FRIEND_DB = "firenddb"
)

// im server friend
const (
	MaxFriendMembers         = 200
	MaxPendingFriendReqs     = 20
	MaxBlockedMembers        = 50
	SearchWord               = 42 // 搜索关键字
	MaxSearchResults         = 20 // 搜索结果20条
	FriendReqsStatusDefault  = 0  // 好友请求状态, 等待中
	FriendReqsStatusOk       = 1  // 好友请求状态, 接受
	FriendReqsStatusReject   = 2  // 好友请求状态, 拒绝
	FriendReqsStatusDeleted  = 3  // 好友请求状态, 已删除
	FriendshipStatusOk       = 0  // 好友关系状态 正常
	FriendshipStatusDeleted  = 1  // 好友关系状态 已删除0
	BlacklistStatusDefault   = 0  // 好友黑名单状态 是否已移除黑名单 默认0，添加进来 未移除
	BlacklistStatusIsRemoved = 1  // 好友黑名单状态 已移除黑名单
)

const (
	kCCBegin   = iota
	kCCWorld   = 1
	kCCPrivate = 2
	kCCGuild   = 3
	kCCTeam    = 4
	kCCBigHorn = 5
	kCCLoopMsg = 6
	kCCEnd
)

// im server guild
const (
	RandomGuildCount           = 10
	MaxMembers                 = 10
	MaxPendingReqs             = 10
	DefaultLogs                = 20
	LogTypeApprove             = 1 // 公会日志类型， 批准加入
	LogTypeLeave               = 2
	LogTypeDismiss             = 3
	LogTypePromote             = 4
	LogTypeDemote              = 5
	LogTypeDisband             = 6
	GuildMemberLevelLeader     = 1 // 成员等级, 会长
	GuildMemberLevelViceLeader = 2 // 成员等级, 副会长
	GuildMemberLevelElite      = 3 // 成员等级, 精英
	GuildMemberLevelDefault    = 4 // 成员等级, 普通成员
	JoinCondDefault            = 0 // 加入条件 0 需要审批
	JoinCondFree               = 1 // 加入条件 1 可直接加入
	JoinCondStar               = 2 // 加入条件 2 满足星星条件

	PendingReqIsJoinGuildStatusDefault = 0 // 等待验证请求状态, 0 等待审核
	PendingReqIsJoinGuildStatusJoined  = 1 // 等待验证请求状态, 1 已加入
	PendingReqIsJoinGuildStatusReject  = 2 // 等待验证请求状态, 2 拒绝
	PendingReqIsJoinGuildStatusDisband = 3 // 等待验证请求状态, 3 公会已解散
)
