package mt

import (
	"f5"
	"mtb"
)

type IMCluster struct {
	mtb.IMCluster
}

type IMClusterTable struct {
	f5.IdMetaTable[IMCluster]
	selfConf *IMCluster
}

func (this *IMCluster) Init1() {

}

func (this *IMClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *IMClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *IMClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("imserver集群无法读取本服配置")
	}
}
